Page MenuHomePhabricator

Requesting shell access and access to groups 'analytics-privatedata-users' and 'researchers' for Brentjoseph (bcohn)
Closed, ResolvedPublic

Description

Hi, I need shell access as well as access to 'analytics-privatedata-users' and 'researchers' to work with fundraising's banner history data.

Original ticket describing need for access: https://phabricator.wikimedia.org/T139764

Username: Brentjoseph (on phabricator, bcohn on server)
Full name: Brent Cohn

Public key:
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDKiINRPK0puzicpOyHuwiMc6ygmgPGXHZ70ltX2zVK5awSIB8ZAwh+ay8Pp9vHlBXFOaDIII7pVuV2k3AC4TH+gXipvZDRBNYABxVgW3V5ZGLkBxFm1sCThajE2jThebq3O7+iNx17Lbqe99CKyDpZ14wxw0ZOxkUYk21tcc3oz20r2b/7GzBmMCWjZlYwFU5CNSncjlyCtNqZrlBdQGIpGPZxzu+bMi/3dJ8vtGL4uxtGtw0+d4eQDmwFZ8ixHrGaAV0Nl7ZuDlbNxXu9isyro4NgY3pxcGJmuiMqrk3fUAgxkJSVMja3lsUSTmazKWf38y7T3L4KmMYjEVxucNXp bcohn@Brents-MacBook-Pro.local

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptJul 15 2016, 5:31 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Restricted Application removed a subscriber: Zppix. · View Herald TranscriptJul 15 2016, 9:07 AM
Jgreen added a subscriber: Jgreen.Jul 18 2016, 5:35 PM

@Brentjoseph there's a poorly explained step in the sign up process, which is that you also need a wikitech/labs user--this process generates your UID. Can you go there "Join Wikitech" toward the bottom, and add the user info to this ticket?

https://wikitech.wikimedia.org/wiki/Special:UserLogin

elukey added a subscriber: elukey.Jul 20 2016, 12:25 PM

@Brentjoseph we'd also need manager's approval before proceeding, thanks!

This comment was removed by elukey.
Dzahn added a subscriber: Dzahn.Jul 22 2016, 10:35 PM

Hi @Brentjoseph we just need that wikitech user name then we can go ahead and resolve this for all 3 of you.

@Dzahn
done! sorry for the delay:

wikitech username: Brentjoseph
shell account name: bcohn

Change 300872 merged by Dzahn:
Create user bcohn for Brent Cohn (Brentjoseph on phab)

https://gerrit.wikimedia.org/r/300872

Change 301045 had a related patch set uploaded (by Dzahn):
admin: add bcohn to analytics-privatedata, researchers

https://gerrit.wikimedia.org/r/301045

Change 301045 merged by Dzahn:
admin: add bcohn to analytics-privatedata, researchers

https://gerrit.wikimedia.org/r/301045

Dzahn claimed this task.Jul 26 2016, 1:52 AM
Dzahn closed this task as Resolved.Jul 26 2016, 2:00 AM

user has been created on bastion hosts, stat1002 and other places where the groups are used

[bast1001:~] $ id bcohn
uid=15121(bcohn) gid=500(wikidev) groups=500(wikidev),707(bastiononly)

[stat1002:~] $ id bcohn
uid=15121(bcohn) gid=500(wikidev) groups=500(wikidev),731(analytics-privatedata-users)